Could not find function xmlCheckVersion in library libxml2. Is libxml2 installed

intento hacer:

pip install lxml==3.6.1

y me da el error:

    compilation terminated.
    Compile failed: command 'x86_64-linux-gnu-gcc' failed with exit status 1
    cc -I/usr/include/libxml2 -c /tmp/xmlXPathInitmfl6guvs.c -o tmp/xmlXPathInitmfl6guvs.o
    /tmp/xmlXPathInitmfl6guvs.c:1:26: fatal error: libxml/xpath.h: No such file or directory
     #include "libxml/xpath.h"
                              ^
    compilation terminated.
    *********************************************************************************
    Could not find function xmlCheckVersion in library libxml2. Is libxml2 installed?
    *********************************************************************************
    error: command 'x86_64-linux-gnu-gcc' failed with exit status 1

Solucion:

apt-get install python-dev libxml2-dev libxslt1-dev zlib1g-dev
Publicado en Python, Sin categoría, Terminal

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

Categorías

octubre 2018
L M X J V S D
« Sep    
1234567
891011121314
15161718192021
22232425262728
293031